From 62687f036cd1959db93a6b87016d28cf9d32b0bc Mon Sep 17 00:00:00 2001
From: Amul Sul <amul.sul@enterprisedb.com>
Date: Tue, 16 Apr 2024 10:37:52 +0530
Subject: [PATCH] Add BumpContext description to mmgr/README

---
 src/backend/utils/mmgr/README | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/mmgr/README b/src/backend/utils/mmgr/README
index f484f7d6f5b..d0824349b14 100644
--- a/src/backend/utils/mmgr/README
+++ b/src/backend/utils/mmgr/README
@@ -472,7 +472,7 @@ Alternative Memory Context Implementations
 ------------------------------------------
 
 aset.c is our default general-purpose implementation, working fine
-in most situations. We also have two implementations optimized for
+in most situations. We also have three implementations optimized for
 special use cases, providing either better performance or lower memory
 usage compared to aset.c (or both).
 
@@ -483,7 +483,11 @@ usage compared to aset.c (or both).
   are allocated in groups with similar lifespan (generations), or
   roughly in FIFO order.
 
-Both memory contexts aim to free memory back to the operating system
+* bump.c (BumpContext) is designed for cases that require allocating a
+  large number of short-lived chunks, none of which ever need to be
+  pfree'd or realloc'd.
+
+These three memory contexts aim to free memory back to the operating system
 (unlike aset.c, which keeps the freed chunks in a freelist, and only
 returns the memory when reset/deleted).
 
-- 
2.18.0

